Page MenuHomePhabricator

transformTests.js fails to validate QuoteTransformer on a bunch of wiki pages
Closed, ResolvedPublic

Description

Fails on enwiki:Hopset and enwiki:Hampi

See below for transcript of running on enwiki:Hospet

[subbu@earth:~/work/wmf/parsoid] node bin/parse.js --genTest QuoteTransformer,/tmp/quotes.hospet.txt --pageName Hospet < /dev/null > /dev/null
[subbu@earth:~/work/wmf/parsoid] node bin/transformTests.js --QuoteTransformer --inputFile /tmp/quotes.hospet.txt 
Starting stand alone wikitext test running file /tmp/quotes.hospet.txt

line 88 ==> passed

line 94 ==> passed

line 107 ==> failed
line to debug => [{"type":"TagTk","name":"i","attribs":[],"dataAttribs":{}},{"type":"TagTk","name":"b","attribs":[],"dataAttribs":{}},{"type":"TagTk","name":"a","attribs":[{"k":"rel","v":"mw:WikiLink/Interwiki"},{"k":"href","v":"https://commons.wikimedia.org/wiki/Category:Hospet"},{"k":"title","v":"commons:Category:Hospet"}],"dataAttribs":{"stx":"piped","a":{"href":"https://commons.wikimedia.org/wiki/Category:Hospet"},"sa":{"href":"commons:Category:Hospet"},"isIW":true}},"Hospet",{"type":"EndTagTk","name":"a","attribs":[],"dataAttribs":{}},{"type":"EndTagTk","name":"b","attribs":[],"dataAttribs":{}},{"type":"EndTagTk","name":"i","attribs":[],"dataAttribs":{}},".",{"type":"EndTagTk","name":"td","attribs":[],"dataAttribs":{"stx":"html"}},{"type":"EndTagTk","name":"tr","attribs":[],"dataAttribs":{"stx":"html"}},{"type":"EndTagTk","name":"table","attribs":[],"dataAttribs":{"stx":"html"}},{"type":"SelfclosingTagTk","name":"meta","attribs":[{"k":"typeof","v":"mw:Transclusion/End"},{"k":"about","v":"#mwt11"}],"dataAttribs":{"tsr":[null,5170]}},{"type":"NlTk","dataAttribs":{"tsr":[5170,5171]}}]
result line ===> [{"type":"TagTk","name":"i","attribs":[],"dataAttribs":{}},{"type":"TagTk","name":"b","attribs":[],"dataAttribs":{}},{"type":"TagTk","name":"a","attribs":[{"k":"rel","v":"mw:WikiLink/Interwiki"},{"k":"href","v":"https://commons.wikimedia.org/wiki/Category:Hospet"},{"k":"title","v":"commons:Category:Hospet"}],"dataAttribs":{"stx":"piped","a":{"href":"https://commons.wikimedia.org/wiki/Category:Hospet"},"sa":{"href":"commons:Category:Hospet"},"isIW":true}},"Hospet",{"type":"EndTagTk","name":"a","attribs":[],"dataAttribs":{}},{"type":"EndTagTk","name":"b","attribs":[],"dataAttribs":{}},{"type":"EndTagTk","name":"i","attribs":[],"dataAttribs":{}},".",{"type":"EndTagTk","name":"td","attribs":[],"dataAttribs":{"stx":"html"}},{"type":"EndTagTk","name":"td","attribs":[],"dataAttribs":{"stx":"html"}},{"type":"EndTagTk","name":"tr","attribs":[],"dataAttribs":{"stx":"html"}},{"type":"EndTagTk","name":"table","attribs":[],"dataAttribs":{"stx":"html"}},{"type":"SelfclosingTagTk","name":"meta","attribs":[{"k":"typeof","v":"mw:Transclusion/End"},{"k":"about","v":"#mwt11"}],"dataAttribs":{"tsr":[null,5170]}},{"type":"NlTk","dataAttribs":{"tsr":[5170,5171]}}]

line 15 ==> passed

line 42 ==> passed

Ending stand alone wikitext test running file /tmp/quotes.hospet.txt

Total transformer execution time = 6 milliseconds

Event Timeline

ssastry created this task.Sep 25 2018, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2018, 4:29 PM
ssastry triaged this task as High priority.Sep 25 2018, 4:29 PM
ssastry updated the task description. (Show Details)

Change 464080 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] Fix for T205455 transformTests.js fails to validate

https://gerrit.wikimedia.org/r/464080

Change 464080 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] Emit tests only when the token is transformed

https://gerrit.wikimedia.org/r/464080

Change 464080 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Emit tests only when the token is transformed

https://gerrit.wikimedia.org/r/464080

ssastry closed this task as Resolved.Oct 11 2018, 6:12 PM
ssastry edited projects, added Parsoid-PHP; removed Parsoid.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 17 2019, 6:18 PM